// Rascal, the Advanced Scientific CALculator
// Copyright (C) 2001, Sebastian Ritterbusch (Rascal@Ritterbusch.de)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more detauls.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

string output(const valuetaylor & a)
{
   string out("taylor[");
   int i;
   for(i=0;i<a.dim();i++)
   {
      value o(output(a(i)));
      if(o.isSTRING())
         out+=o.asSTRING();
      else
         out+="Error";
      if(i<a.dim()-1)
         out+=" ";
   }
   out+="]";
   return out;
}

valuetaylor matrixtotaylor(const valuematrix &a)
{
   if(a.N==1)
   {
      if(a.M==0)
         return valuetaylor();
         
      valuetaylor res(a(0,0),a.M);
      int i;
      for(i=1;i<a.M;i++)
         res(i)=a(0,i);
      return res;
   } else
   {  
      if(a.N==0 || a.M==0)
         return valuetaylor();
         
      valuetaylor res(a(0,0),a.N);
      int i;
      for(i=1;i<a.N;i++)
         res(i)=a(i,0);
      return res;
   }
}
